<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/admin_panel_layout}">
<head>
    <meta charset="UTF-8">
    <title>Products</title>
</head>
<body>
<div layout:fragment="admin_panel_content" class="container mt-2">
    <a href="#" th:href="@{/products/new}" class="btn btn-primary mb-2">
        New product
    </a>
    <table class="table table-striped table-hover">
        <thead>
        <th>Id</th>
        <th>Product</th>
        <th>Brand</th>
        <th>Category</th>
        <th>Price</th>
        <th style="width: 150px;"></th>
        </thead>
        <tbody>
        <tr th:each="item : ${products}">
            <td th:text="${item.id}">index</td>
            <td th:text="${item.name}">product name</td>
            <td th:text="${item.brandName}">brand</td>
            <td th:text="${item.category != null ? item.category.name : ''}">category</td>
            <td th:text="${item.price}">99 $</td>
            <td>
                <form method="get" th:action="@{/products/update}" class="d-inline">
                    <input type="hidden" name="id" th:value="${item.id}">
                    <button type="submit" class="btn btn-sm btn-outline-primary">
                        <i class="fa fa-pen"></i>
                    </button>
                </form>
                <form method="post" th:action="@{/products/delete}" class="d-inline">
                    <input type="hidden" name="id" th:value="${item.id}">
                    <button type="submit" class="btn btn-sm btn-outline-danger">
                        <i class="fa fa-trash"></i>
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>